Name: H5Pget_hyper_vector_size
Signature:
  herr_t `H5Pget_hyper_vector_size`(hid_t `dxpl_id`, size_t *`vector_size` )
Purpose:
  Retrieves number of I/O vectors to be read/written in hyperslab I/O.
Description:
  `H5Pset_hyper_vector_size` retrieves the number of I/O vectors to be accumulated in memory before being issued to the lower levels of the HDF5 library for reading or writing the actual data.

  The number of I/O vectors set in the dataset transfer property list `dxpl_id` is returned in `vector_size`. Unless the default value is in use, `vector_size` was previously set with a call to H5Pset_hyper_vector_size.

Parameters:

hid_t `dxpl_id` | IN: Dataset transfer property list identifier.
size_t *`vector_size` | OUT: Number of I/O vectors to accumulate in memory for I/O operations.

Returns:
  Returns a non-negative value if successful; otherwise returns a negative value.
Fortran90 Interface: h5pget_hyper_vector_size_f

      SUBROUTINE h5pget_hyper_vector_size_f(plist_id, size, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: plist_id ! Dataset transfer property list
                                               ! identifier
        INTEGER(SIZE_T), INTENT(OUT) :: size   ! Vector size
        INTEGER, INTENT(OUT)       :: hdferr   ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5pget_hyper_vector_size_f

History:

Release | C
1.6.0 | Function introduced in this release.